NX Open C++ Reference Guide
NXOpen::Annotations::LightweightSectionBuilder Member List

This is the complete list of members for NXOpen::Annotations::LightweightSectionBuilder, including all inherited members.

AlternatePlane()NXOpen::Display::DynamicSectionBuilder
AssemblyCrosshatching()NXOpen::Annotations::LightweightSectionBuilder
BoundingBoxComponents()NXOpen::Annotations::LightweightSectionBuilder
BoxExtentDelayUpdate()NXOpen::Display::DynamicSectionBuilder
BoxExtentMargin()NXOpen::Display::DynamicSectionBuilder
BoxExtentObjects()NXOpen::Display::DynamicSectionBuilder
BoxExtentSupported()NXOpen::Display::DynamicSectionBuilder
Builder() (defined in NXOpen::Builder)NXOpen::Builderprotected
CapColor()NXOpen::Display::DynamicSectionBuilder
CapColorOption()NXOpen::Display::DynamicSectionBuilder
ClipCoplanarObjects()NXOpen::Annotations::LightweightSectionBuilder
ClipType()NXOpen::Display::DynamicSectionBuilder
ClipWireframeObjects()NXOpen::Annotations::LightweightSectionBuilder
Commit()NXOpen::Builder
CreateDatumPlane()NXOpen::Display::DynamicSectionBuilder
CrosshatchSettings()NXOpen::Annotations::LightweightSectionBuilder
CsysType()NXOpen::Display::DynamicSectionBuilder
CurveColor()NXOpen::Display::DynamicSectionBuilder
CurveColorOption()NXOpen::Display::DynamicSectionBuilder
CuttingPlaneSymbol()NXOpen::Annotations::LightweightSectionBuilder
DefaultPlaneAxis()NXOpen::Display::DynamicSectionBuilder
DeferCurveUpdate()NXOpen::Display::DynamicSectionBuilder
Destroy()NXOpen::Builder
DisplayCrosshatch()NXOpen::Annotations::LightweightSectionBuilder
DynamicSectionBuilder() (defined in NXOpen::Display::DynamicSectionBuilder)NXOpen::Display::DynamicSectionBuilderprotected
EditView(NXOpen::ModelingView *view)NXOpen::Display::DynamicSectionBuilder
GetActivePlane(NXOpen::Display::DynamicSectionTypes::Axis *planeAxis, NXOpen::Display::DynamicSectionTypes::ActivePlane *activePlane)NXOpen::Display::DynamicSectionBuilder
GetAllPlanesGeometry(std::vector< NXOpen::Point3d > &planeOrigins, std::vector< NXOpen::Matrix3x3 > &planeMetrices)NXOpen::Display::DynamicSectionBuilder
GetBoundingBox(NXOpen::Point3d *minCornerPt, NXOpen::Point3d *maxCornerPt)NXOpen::Display::DynamicSectionBuilder
GetCommittedObjects()NXOpen::Builder
GetGridSettings()NXOpen::Display::DynamicSectionBuilder
GetName()NXOpen::Display::DynamicSectionBuilder
GetNormal()NXOpen::Display::DynamicSectionBuilder
GetObject()NXOpen::Builder
GetOffset()NXOpen::Display::DynamicSectionBuilder
GetOffsetLimits(double *minimumOffset, double *maximumOffset)NXOpen::Display::DynamicSectionBuilder
GetOrigin()NXOpen::Display::DynamicSectionBuilder
GetPlaneGeometry(NXOpen::Display::DynamicSectionTypes::Axis axisType, NXOpen::Display::DynamicSectionTypes::ActivePlane planeType, NXOpen::Point3d *origin, NXOpen::Matrix3x3 *matrix)NXOpen::Display::DynamicSectionBuilder
GetPlaneThickness()NXOpen::Display::DynamicSectionBuilder
GetRotationAngle(NXOpen::Display::DynamicSectionTypes::Axis rotationAxis)NXOpen::Display::DynamicSectionBuilder
GetRotationMatrix()NXOpen::Display::DynamicSectionBuilder
GetSectionCurves(std::vector< NXOpen::Curve * > &curves)NXOpen::Annotations::LightweightSectionBuilder
InterferenceColor()NXOpen::Display::DynamicSectionBuilder
IsAssociativitySupported()NXOpen::Display::DynamicSectionBuilder
IsDefaultPlane()NXOpen::Display::DynamicSectionBuilder
LayerSettings()NXOpen::Display::DynamicSectionBuilder
LightweightSectionBuilder() (defined in NXOpen::Annotations::LightweightSectionBuilder)NXOpen::Annotations::LightweightSectionBuilderprotected
LoadAllIntersecting(NXOpen::PartLoadStatus **loadStatus)NXOpen::Display::DynamicSectionBuilder
LoadNearIntersecting(NXOpen::PartLoadStatus **loadStatus)NXOpen::Display::DynamicSectionBuilder
LockPlanes()NXOpen::Display::DynamicSectionBuilder
NumberInSeries()NXOpen::Display::DynamicSectionBuilder
ObjectsToSection()NXOpen::Annotations::LightweightSectionBuilder
OffsetOriginInPlane(double xOffset, double yOffset)NXOpen::Display::DynamicSectionBuilder
PatternDefinedBy()NXOpen::Annotations::LightweightSectionBuilder
PlaneX()NXOpen::Display::DynamicSectionBuilder
PlaneY()NXOpen::Display::DynamicSectionBuilder
PlaneZ()NXOpen::Display::DynamicSectionBuilder
RestoreView()NXOpen::Display::DynamicSectionBuilder
RestrictCrosshatch()NXOpen::Annotations::LightweightSectionBuilder
ReverseDirection()NXOpen::Display::DynamicSectionBuilder
ReverseSeries()NXOpen::Display::DynamicSectionBuilder
SaveAssociativeCurves()NXOpen::Annotations::LightweightSectionBuilder
SaveCurves(const NXString &groupName)NXOpen::Display::DynamicSectionBuilder
SaveCurves(const char *groupName)NXOpen::Display::DynamicSectionBuilder
SeriesSpacing()NXOpen::Display::DynamicSectionBuilder
SetActivePlane(NXOpen::Display::DynamicSectionTypes::Axis planeAxis, NXOpen::Display::DynamicSectionTypes::ActivePlane activePlane)NXOpen::Display::DynamicSectionBuilder
SetAllPlanesGeometry(const std::vector< NXOpen::Point3d > &planeOrigins, const std::vector< NXOpen::Matrix3x3 > &planeMetrices)NXOpen::Display::DynamicSectionBuilder
SetAssemblyCrosshatching(bool assemblyCrosshatchingOption)NXOpen::Annotations::LightweightSectionBuilder
SetAssociativePlane(NXOpen::Plane *planeTag)NXOpen::Display::DynamicSectionBuilder
SetBoundingBox(const NXOpen::Point3d &minCornerPt, const NXOpen::Point3d &maxCornerPt)NXOpen::Display::DynamicSectionBuilder
SetBoxExtentDelayUpdate(bool delayUpdate)NXOpen::Display::DynamicSectionBuilder
SetBoxExtentMargin(double margin)NXOpen::Display::DynamicSectionBuilder
SetCapColor(NXOpen::NXColor *capColor)NXOpen::Display::DynamicSectionBuilder
SetCapColorOption(NXOpen::Display::DynamicSectionTypes::CapColorOption capColorOption)NXOpen::Display::DynamicSectionBuilder
SetClipCoplanarObjects(bool clipCoplanarObjectsOption)NXOpen::Annotations::LightweightSectionBuilder
SetClipType(NXOpen::Display::DynamicSectionTypes::Clip clipType)NXOpen::Display::DynamicSectionBuilder
SetClipWireframeObjects(bool clipWireframeObjectsOption)NXOpen::Annotations::LightweightSectionBuilder
SetCsysType(NXOpen::Display::DynamicSectionTypes::CoordinateSystem csys)NXOpen::Display::DynamicSectionBuilder
SetCurveColor(NXOpen::NXColor *curveColor)NXOpen::Display::DynamicSectionBuilder
SetCurveColorOption(NXOpen::Display::DynamicSectionTypes::CurveColorOption curveColorOption)NXOpen::Display::DynamicSectionBuilder
SetDefaultPlane()NXOpen::Display::DynamicSectionBuilder
SetDefaultPlaneAxis(NXOpen::Display::DynamicSectionTypes::Axis planeAxis)NXOpen::Display::DynamicSectionBuilder
SetDefaults()NXOpen::Display::DynamicSectionBuilder
SetDeferCurveUpdate(bool deferCurveUpdate)NXOpen::Display::DynamicSectionBuilder
SetDisplayCrosshatch(bool displayCrosshatchOption)NXOpen::Annotations::LightweightSectionBuilder
SetInterferenceColor(NXOpen::NXColor *interferenceColor)NXOpen::Display::DynamicSectionBuilder
SetLockPlanes(bool lockPlanes)NXOpen::Display::DynamicSectionBuilder
SetName(const NXString &sectionName)NXOpen::Display::DynamicSectionBuilder
SetName(const char *sectionName)NXOpen::Display::DynamicSectionBuilder
SetNormal(const NXOpen::Vector3d &normal)NXOpen::Display::DynamicSectionBuilder
SetNumberInSeries(int numberSectionsRequested)NXOpen::Display::DynamicSectionBuilder
SetOffset(double offset)NXOpen::Display::DynamicSectionBuilder
SetOffsetByPoint(const NXOpen::Point3d &point)NXOpen::Display::DynamicSectionBuilder
SetOrigin(const NXOpen::Point3d &origin)NXOpen::Display::DynamicSectionBuilder
SetPatternDefinedBy(int patternDefinedBy)NXOpen::Annotations::LightweightSectionBuilder
SetPlane(const NXOpen::Point3d &axisOrigin, const NXOpen::Point3d &origin, const NXOpen::Matrix3x3 &rotationMatrix)NXOpen::Display::DynamicSectionBuilder
SetPlaneThickness(double planeThickness)NXOpen::Display::DynamicSectionBuilder
SetRestrictCrosshatch(bool restrictCrosshatchOption)NXOpen::Annotations::LightweightSectionBuilder
SetReverseSeries(bool reverseSeries)NXOpen::Display::DynamicSectionBuilder
SetRotationAngle(NXOpen::Display::DynamicSectionTypes::Axis rotationAxis, double angle)NXOpen::Display::DynamicSectionBuilder
SetRotationMatrix(NXOpen::Display::DynamicSectionTypes::Axis rotationAxis, const NXOpen::Matrix3x3 &rotationMatrix)NXOpen::Display::DynamicSectionBuilder
SetSaveAssociativeCurves(bool saveAssociativeCurvesToggle)NXOpen::Annotations::LightweightSectionBuilder
SetSeriesSpacing(double sectionSpacing)NXOpen::Display::DynamicSectionBuilder
SetShowCap(bool showCap)NXOpen::Display::DynamicSectionBuilder
SetShowClip(bool showClip)NXOpen::Display::DynamicSectionBuilder
SetShowCurves(bool showCurves)NXOpen::Display::DynamicSectionBuilder
SetShowGrid(bool showGrid)NXOpen::Display::DynamicSectionBuilder
SetShowInterference(bool showInterference)NXOpen::Display::DynamicSectionBuilder
SetShowViewer(bool showViewer)NXOpen::Display::DynamicSectionBuilder
SetToleranceCrosshatch(double crosshatchAdjacencyTolerance)NXOpen::Annotations::LightweightSectionBuilder
SetType(NXOpen::Display::DynamicSectionTypes::Type type)NXOpen::Display::DynamicSectionBuilder
SetView(NXOpen::ModelingView *view)NXOpen::Display::DynamicSectionBuilder
SetViewName(const NXString &viewName)NXOpen::Annotations::LightweightSectionBuilder
SetViewName(const char *viewName)NXOpen::Annotations::LightweightSectionBuilder
ShowCap()NXOpen::Display::DynamicSectionBuilder
ShowClip()NXOpen::Display::DynamicSectionBuilder
ShowCurvePreview(bool showCurvePreview)NXOpen::Display::DynamicSectionBuilder
ShowCurves()NXOpen::Display::DynamicSectionBuilder
ShowGrid()NXOpen::Display::DynamicSectionBuilder
ShowInterference()NXOpen::Display::DynamicSectionBuilder
ShowResults()NXOpen::Builder
ShowSectionCurves(bool showCurves)NXOpen::Display::DynamicSectionBuilder
ShowViewer()NXOpen::Display::DynamicSectionBuilder
Tag() const NXOpen::TaggedObject
TaggedObject() (defined in NXOpen::TaggedObject)NXOpen::TaggedObject
ToleranceCrosshatch()NXOpen::Annotations::LightweightSectionBuilder
Type()NXOpen::Display::DynamicSectionBuilder
UpdateBoxExtents()NXOpen::Display::DynamicSectionBuilder
Validate()NXOpen::Buildervirtual
View()NXOpen::Display::DynamicSectionBuilder
ViewName()NXOpen::Annotations::LightweightSectionBuilder
~Builder() (defined in NXOpen::Builder)NXOpen::Builder
~DynamicSectionBuilder() (defined in NXOpen::Display::DynamicSectionBuilder)NXOpen::Display::DynamicSectionBuilder
~IComponentBuilder() (defined in NXOpen::GeometricUtilities::IComponentBuilder)NXOpen::GeometricUtilities::IComponentBuildervirtual
~LightweightSectionBuilder() (defined in NXOpen::Annotations::LightweightSectionBuilder)NXOpen::Annotations::LightweightSectionBuilder
~TaggedObject() (defined in NXOpen::TaggedObject)NXOpen::TaggedObjectvirtual
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.